package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GgLeaseStatusReportFacadeFactory
{
    private GgLeaseStatusReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6DAB48DC") ,com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6DAB48DC") ,com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6DAB48DC"));
    }
    public static com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgLeaseStatusReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6DAB48DC"));
    }
}